<?php

  /**
   * @package CalendarApp
   */
  /*
  Plugin Name: CalendarApp Plugin
  Plugin URI: http://calendarapp.de/
  Description: Plugin erweitert Wordpress um den CalendarApp Shortcode
  Version: 0.27
  Author: Sven Preuss - calendarapp.de
  Author URI: http://calendarapp.de/
  License: uneingeschr&auml;nktes Nutzungsrecht
  */

  // Session handling
  if (1 == 2 && !function_exists("myCAStartSession")) {
    // vor allem die richtige Zeit setzen
    date_default_timezone_set('Europe/Berlin');
    // Session starten
    add_action('init', 'myCAStartSession', 1);
    add_action('wp_logout', 'myCAEndSession');
    add_action('wp_login', 'myCAEndSession');
    function myCAStartSession() {
      ob_start();
      if(!session_id()) {
        session_start();
      }
    }
    function myCAEndSession() {
      session_destroy();
    }
  }

  // Sprache simulieren wenn nicht vorhanden
  $wpml = dirname( __FILE__ );
  $wpml = str_replace("CalendarApp", "", $wpml) . "sitepress-multilingual-cms";
  if (!function_exists("icl_object_id") && !is_dir($wpml)) {
    function icl_object_id($obj_id, $obj_type, $bla, $langcode = "de") {
      return $obj_id;
    }
  }

  // VERSION und URL
  define('CA_SHORTCODES_VERSION', '0.1');
  define('CA_SHORTCODES_URL', plugin_dir_url( __FILE__ ));
  define('CA_SHORTCODES_BASE_DIR', dirname( __FILE__ ));
  define('CA_SHORTCODES_TEXTDOMAIN', 'calendarapp');
  define('CA_SHORTCODES_L10N_DIR', dirname(plugin_basename( __FILE__ )) . '/l10n/');

  // Sprachdatei whlen
  function ca_shortcodes_translation() {
    if (function_exists('load_plugin_textdomain')) {
      load_plugin_textdomain(CA_SHORTCODES_TEXTDOMAIN, false, CA_SHORTCODES_L10N_DIR);
    }
  }
  add_action('init', 'ca_shortcodes_translation');

  // Make sure we don't expose any info if called directly
  if (!function_exists('add_action')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
  }

  // Visual Composer Elemente
  function vc_before_init_actions() {
    // CalendarApp Plugin
    require_once(CA_SHORTCODES_BASE_DIR .'/vc-elemente/calendar.php');
  }
  add_action("vc_before_init", "vc_before_init_actions");

  // Wenn Admin eingeloggt
  if (is_admin()) {
    // CSS
    function load_ca_shortcodes_backendcss() {
      wp_register_style('ca_shortcodes_backend.css', CA_SHORTCODES_URL . 'css/admin.css');
      wp_enqueue_style('ca_shortcodes_backend.css', get_stylesheet_uri(), array(), '2015-02-17');
    }
    add_action('admin_enqueue_scripts', 'load_ca_shortcodes_backendcss', 999);
    // JS
    function load_ca_shortcodes_backendjs() {
      wp_enqueue_script('ca_backendjs', CA_SHORTCODES_URL .'js/admin.js', array('jquery'), '2015-02-17', false);
      wp_enqueue_script('ca_slider_backendjs', CA_SHORTCODES_URL .'js/unslider.min.js', array('jquery'), '2015-02-17', false);
    }
    add_action('admin_enqueue_scripts', 'load_ca_shortcodes_backendjs');
    // Backend fuer Admin
    require_once(CA_SHORTCODES_BASE_DIR .'/admin.php');
  } else {
    // JS
    function load_ca_shortcodes_frontendjs() {
      wp_enqueue_script('ca_frontendjs', CA_SHORTCODES_URL .'js/frontend.js', array('jquery'), '2015-02-17', false);
    }
    add_action('wp_enqueue_scripts', 'load_ca_shortcodes_frontendjs');
    // CSS
    function load_ca_shortcodes_frontendcss() {
      wp_register_style('ca_shortcodes_frontend.css', CA_SHORTCODES_URL . 'css/frontend.css');
      wp_enqueue_style('ca_shortcodes_frontend.css', get_stylesheet_uri(), array(), '2015-02-17');
    }
    add_action('wp_enqueue_scripts', 'load_ca_shortcodes_frontendcss', 999);
    // eigene Shortcodes parsen
    require_once(CA_SHORTCODES_BASE_DIR .'/shortcodes/shortcodes.php');

    // CSS Testen
    $ca_css = stripslashes(get_option("ca_app_option_css"));
    if (isset($ca_css) && $ca_css != "") {
      function ca_add_custom_css() {
        $ca_css = stripslashes(get_option("ca_app_option_css"));
        $ca_css = str_replace(Array('<style>', '<style type="text/css">', '</style>'), Array("", ""), $ca_css);
        echo '<style>'. $ca_css .'</style>';
      }
      add_action("wp_head", "ca_add_custom_css");
    }
  }

?>