<?php

  // Bilderboxen
  class vcCalendarApp extends WPBakeryShortCode {
    // Element Init
    function __construct() {
      add_action('init', array($this, 'vc_calendarapp_mapping'));
      add_shortcode('vc_calendarapp', array($this, 'vc_calendarapp_html'));
    }
    // Element Mapping
    public function vc_calendarapp_mapping() {
      // Stop wenn kein VC
      if (!defined('WPB_VC_VERSION')) {
        return;
      }
      // Map the block with vc_map()
      vc_map(
        array(
          'name' => __(utf8_encode('CalendarApp'), CA_SHORTCODES_TEXTDOMAIN),
          'base' => 'vc_calendarapp',
          'description' => __('CalendarApp Kalender', CA_SHORTCODES_TEXTDOMAIN),
          'category' => __('CalendarApp', CA_SHORTCODES_TEXTDOMAIN),
          'icon' => CA_SHORTCODES_URL .'/images/icon_calendar.png',
          'params' => array(
            array(
              'type' => 'textfield',
              'heading' => __('ID des Kalenders', CA_SHORTCODES_TEXTDOMAIN),
              'param_name' => 'cid',
              'value' => "a87ff679a2f3e71d9181a67b7542122c",
              'description' => __('ID deines Kalenders aus der CalendarApp', CA_SHORTCODES_TEXTDOMAIN),
              'admin_label' => false,
              'weight' => 1,
              'group' => 'Optionen',
            ),
            array(
              'type' => 'textfield',
              'heading' => __('Sprache des Kalenders', CA_SHORTCODES_TEXTDOMAIN),
              'param_name' => 'lang',
              'value' => "de",
              'description' => __('ISO-Code der Sprache deines Kalenders (de, en, it, ...)', CA_SHORTCODES_TEXTDOMAIN),
              'admin_label' => false,
              'weight' => 2,
              'group' => 'Optionen',
            ),
          )
        )
      );
    }
    // Element HTML
    public function vc_calendarapp_html($atts, $content) {
      // Params extraction
      extract(
        shortcode_atts(
          array(
            'cid' => 'a87ff679a2f3e71d9181a67b7542122c',
            'lang' => 'de'
          ), $atts
        )
      );
      // Defaults setzen
      if (!isset($atts['cid']) || $atts['cid'] == "") {
        $atts['cid'] = "h2";
      }
      if (!isset($atts['lang']) || $atts['lang'] == "") {
        $atts['lang'] = "de";
      }
      // Title ausgeben
      $html = '
        <div id="zhcal-root" data-id="'. $atts['cid'] .'" data-lang="'. $atts['lang'] .'"></div>
        <script type="text/javascript" src="https://app.calendarapp.de/loadcal.php"></script>
      ';
      // CSS testen
      $ca_css = stripslashes(get_option("ca_app_option_css"));
      if (isset($ca_css) && $ca_css != "") {
        $html .= '<style>'. $ca_css .'</style>';
      }
      // Ausgabe
      return $html;
    }
  }

  // Element Class Init
  new vcCalendarApp();

?>